Subject: Re: Better cooperation between checkouts and stashing

From: Markus Elfring <[email-masked]>
Date: Tue, 02 Mar 2010 10:35:06 +0100

> The other use case is the one that git already assumes to be popular:
> People want local modifications to remain in place across branch checkouts.

Are there software developers (besides me) who would like to work in the
opposite way on demand?

How are the chances to make unfinished and uncommitted content updates sticky
for a particular branch (or a selection of branches) so that changes will not be
mixed more as it will be really required for an editing task?

> The "git checkout" command is designed to carry local modifications
> across branches transparently;

Which wording will be preferred to "reflect" this fact in the manual and other
documentation?

Regards,
Markus